<?php
//常规路由
Route::get('/', 'HomeController@home');
Route::get('/home', 'HomeController@home');

Route::get('/total_schedule', 'HomeController@schedule');
Route::resource('nurses', NurseController::class);
//机构设置
Route::resource('organization_setting', SettingController::class);

Route::resource('nurse_users', NurseUserController::class);
Route::resource('order_nurses', OrderNurseController::class);
Route::resource('vaccines', VaccineController::class);
Route::resource('order_vaccines', OrderVaccinesController::class);
Route::resource('vaccine_users', VaccineUserController::class);
Route::resource('organization_vaccines', Vaccine\OrganizationVaccineController::class);

Route::resource('docters', DocterOrgController::class);
Route::resource('offices', OfficeController::class);
Route::resource('orders', OrderController::class);
Route::resource('docter_org', DocterOrgController::class);
Route::resource('docter_verifies', DocterVerifyController::class);
//Route::resource('cdms_roles', PermissionController::class);
Route::resource('docter_account', DocterAccountController::class);
Route::resource('docter_chats', DocterChatController::class);

//服务管理
Route::resource('services', ServiceController::class);
Route::resource('orgservice', OrganizationController::class);
Route::resource('nurse_ervice', NurseServiceController::class);


//社区通告
Route::get('notices', 'NoticeController@grid');

//群发通知
Route::resource('user_notices', UserNoticeController::class);
Route::get('schedule', 'ScheduleController@index');
Route::get('nurse_schedule', 'Nurse\NurseScheduleController@index');
Route::get('vaccine_schedule', 'Vaccine\VaccineScheduleController@index');
Route::get('schedule_view', 'ScheduleController@schedule');


Route::get('send_notices', 'NoticeController@send');
Route::resource('/docter_chats', DocterChatController::class);
Route::get('/chats', 'DocterChatController@chats');
Route::get('/chat_view', 'DocterChatController@chat_view');
Route::get('/order_detail', 'HomeController@order_detail');
//api
Route::get('/api/getDocter', 'ApiController@getDocter');
Route::put('/api/paitent_remark', 'ApiController@paitent_remark');
Route::get('/api/sendmsg', 'ApiController@sendmsg');
Route::post('/api/update_order', 'ApiController@updateOrder');

//新医生排班路由
Route::get('/api/week_schedule', 'ApiController@getWeekSchedule');
Route::get('/api/set_week_schedule', 'ApiController@setWeekSchedule');
Route::get('/api/set_day_schedule', 'ApiController@setDaySchedule');
Route::get('/api/get_week_chedule', 'ApiController@getWeekSchedule');
Route::get('/api/set_month_schedule', 'ApiController@setmonthScheduel');
Route::get('/api/get_month_schedule', 'ApiController@getMonthSchedule');
Route::get('/api/get_docter_setting', 'ApiController@getDocterSetting');
Route::get('/api/update_docter_setting', 'ApiController@updateDocterSetting');
Route::get('/api/docter_setting', 'ApiController@updateDocterSetting');
Route::get('/api/self_schedule', 'ApiController@setSelfSchedule');
Route::get('/api/getScheduleInfo', 'ApiController@getScheduleInfo');
Route::any('/img_upload', 'ApiController@upload');

Route::get('/api/getCity', 'ApiController@getCity');
Route::get('/api/getArea', 'ApiController@getArea');

Route::get('/getChatOrder', 'ApiController@get_chat_order');



